Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class SymmetricKey.Type

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.SymmetricKey.Type

Enclosing class:
  SymmetricKey

public static final class SymmetricKey.Type
extends java.lang.Object

Field Summary
`static SymmetricKey.Type` | `AES`
`static SymmetricKey.Type` | `DES`
`static SymmetricKey.Type` | `DES3`
`static SymmetricKey.Type` | `DESede`
`private KeyGenAlgorithm` | `keyGenAlg`
`private java.lang.String` | `name`
`private static java.util.Hashtable` | `nameMap`
`static SymmetricKey.Type` | `RC2`
`static SymmetricKey.Type` | `RC4`
`static SymmetricKey.Type` | `SHA1_HMAC`

Constructor Summary
`private` | `SymmetricKey.Type()`
`private` | `SymmetricKey.Type(java.lang.String name, KeyGenAlgorithm keyGenAlg)`

Method Summary
`static SymmetricKey.Type` | `fromName(java.lang.String name)`
`KeyGenAlgorithm` | `getKeyGenAlg()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nameMap

    private static java.util.Hashtable nameMap

### name

    private java.lang.String name

### keyGenAlg

    private KeyGenAlgorithm keyGenAlg

### DES

    public static final SymmetricKey.Type DES

### DES3

    public static final SymmetricKey.Type DES3

### DESede

    public static final SymmetricKey.Type DESede

### RC4

    public static final SymmetricKey.Type RC4

### RC2

    public static final SymmetricKey.Type RC2

### SHA1_HMAC

    public static final SymmetricKey.Type SHA1_HMAC

### AES

    public static final SymmetricKey.Type AES

Constructor Detail

### SymmetricKey.Type

    private SymmetricKey.Type()

### SymmetricKey.Type

    private SymmetricKey.Type(java.lang.String name,
                              KeyGenAlgorithm keyGenAlg)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getKeyGenAlg

    public KeyGenAlgorithm getKeyGenAlg()
                                 throws java.security.NoSuchAlgorithmException

    `java.security.NoSuchAlgorithmException`

### fromName

    public static SymmetricKey.Type fromName(java.lang.String name)
                                      throws java.security.NoSuchAlgorithmException

    `java.security.NoSuchAlgorithmException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD